Page MenuHomePhabricator

Could not reach wikipedia from domain wikipedia.fi
Closed, ResolvedPublic

Description

Wikipedia.fi doesn't seem to be working anymore.

Details

Event Timeline

Restricted Application added projects: Operations, Traffic. · View Herald TranscriptAug 14 2019, 10:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

a quick check shows:

willikins:~ vgutierrez$ host -t ns wikipedia.fi
Host wikipedia.fi not found: 2(SERVFAIL)

And from the whois output:

Nameservers

nserver............: ns1.wikimedia.org [Technical check not done]
nserver............: ns0.wikimedia.org [Technical check not done]
nserver............: ns2.wikimedia.org [Technical check not done]

Also the DNS zone doesn't seem to be configured in our authoritative DNS servers https://gerrit.wikimedia.org/r/plugins/gitiles/operations/dns/+/master/templates/

Change 530103 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Point wikipedia.fi domain to the non canonical redirect service

https://gerrit.wikimedia.org/r/530103

Vgutierrez triaged this task as Normal priority.Aug 14 2019, 11:11 AM

Change 530104 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] nc_redirects.dat: Redirect wikipedia.fi to https://fi.wikipedia.org

https://gerrit.wikimedia.org/r/530104

Change 530104 merged by Vgutierrez:
[operations/puppet@production] nc_redirects.dat: Redirect wikipedia.fi to https://fi.wikipedia.org

https://gerrit.wikimedia.org/r/530104

Change 530103 merged by Vgutierrez:
[operations/dns@master] Point wikipedia.fi domain to the non canonical redirect service

https://gerrit.wikimedia.org/r/530103

So, after adding the zone file for wikipedia.fi and the proper redirect rules:

$ curl http://wikipedia.fi -o /dev/null -v 2>&1|grep Location
< Location: https://fi.wikipedia.org/

https://wikipedia.fi will be available at some point next week after I get another set of domains configured in acme-chief

Ok. Thanks for lighting fast fix for this @Vgutierrez!

ema moved this task from Triage to DNS Names on the Traffic board.Aug 14 2019, 12:39 PM
Zache added a subscriber: Zache.Aug 20 2019, 5:31 PM

https have error NET::ERR_CERT_COMMON_NAME_INVALID

Change 532950 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ncredir: Add non-canonical-redirect-6

https://gerrit.wikimedia.org/r/532950

Change 532950 merged by Vgutierrez:
[operations/puppet@production] ncredir: Add non-canonical-redirect-6

https://gerrit.wikimedia.org/r/532950

Vgutierrez closed this task as Resolved.Aug 28 2019, 9:43 AM
Vgutierrez claimed this task.

https is happy now after adding wikipedia.fi as part of non-canonical-redirect-6 in https://gerrit.wikimedia.org/r/c/operations/puppet/+/532950/ :

willikins:~ vgutierrez$ curl https://www.wikipedia.fi -o /dev/null -v 2>&1 |fgrep -i Location
* successfully set certificate verify locations:
< location: https://fi.wikipedia.org/

oh, it also works for https://wikipedia.fi:

willikins:~ vgutierrez$ curl https://wikipedia.fi -o /dev/null -v 2>&1 |fgrep -i Location
* successfully set certificate verify locations:
< location: https://fi.wikipedia.org/
Zache added a comment.Aug 28 2019, 1:39 PM

seems to work, thanks

Zache awarded a token.Aug 28 2019, 1:39 PM